import { jsx } from "react/jsx-runtime";
import { TokenCCD as TokenCCD$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCCD = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "CCD", "data-name": "TokenCCD", ...props, children: /* @__PURE__ */ jsx(TokenCCD$1, { variant }) });
  }
);
TokenCCD.displayName = "TokenCCD";
Object.assign(TokenCCD, { isGdsIcon: true });
export {
  TokenCCD
};
